Laravel php artisan serve not doing anything and project not being created properly (windows 10)

Published

I am trying to use Laravel for the first time. I am trying to install it precisely as the guide says with composer but when I create a new project I get the following error:

Problem 1
– laravel/framework[v8.65.0, …, 8.x-dev] require league/flysystem ^1.1 -> satisfiable by league/flysystem[1.1.0, …, 1.x-dev].
– league/flysystem[1.1.0, …, 1.x-dev] require ext-fileinfo * -> it is missing from your system. Install or enable PHP’s fileinfo extension.
– Root composer.json requires laravel/framework ^8.65 -> satisfiable by laravel/framework[v8.65.0, …, 8.x-dev].

The project does get created, but when I type php artisan serve nothing happens. How can I fix this?

Source: Laravel

Published
Categorised as laravel, php Tagged ,

Answers

Leave a Reply

Still Have Questions?


Our dedicated development team is here for you!

We can help you find answers to your question for as low as 5$.

Contact Us
faq